Net::LDAP::Extra(3)

NAME
Net::LDAP::Extra -- Load extra Net::LDAP methods

SYNOPSIS
  use Net::LDAP::Extra qw(my_extn);

  $ldap = Net::LDAP->new( ... );

  $ldap->my_extn( ... );

DESCRIPTION
"Net::LDAP::Extra" allows extra methods to be added to Net::LDAP. Normally such methods would be added by sub-classing Net::LDAP, but this proves to get messy as different people write different additions and others want to use multiple of these sub-classes. Users end up having to create sub-classes of their own which inherit from all the extension sub-classes just so they can get all the features.

"Net::LDAP::Extra" allows methods to be added directly to all Net::LDAP objects. This can be done by creating a class "Net::LDAP::Extra::name" which exports functions. A "use Net::LDAP::Extra qw(name)" will then make these functions avaliable as a methods on all "Net::LDAP" objects.

Care should be taken when choosing names for the functions to export to ensure that they do not clash with others.